# WavesBackgroundDrawer Class Reference
[CAPTCHA's implementation]

Inheritance diagram for WavesBackgroundDrawer:
[legend]

List of all members.

## Public Member Functions

| draw ()

## Public Attributes

const | MIN_WAVE_DISTANCE = 8
const | MAX_WAVE_DISTANCE = 20
const | MAX_WAVE_OFFSET = 5

## Private Member Functions

| drawWave ($y)

## Detailed Description

Definition at line 15 of file WavesBackgroundDrawer.class.php.

## Member Function Documentation

WavesBackgroundDrawer::draw | ( |  | ) |

Returns:
  WavesBackgroundDrawer

Reimplemented from BackgroundDrawer.

Definition at line 24 of file WavesBackgroundDrawer.class.php.

References drawWave(), and Drawer::getTuringImage().

Here is the call graph for this function:

WavesBackgroundDrawer::drawWave | ( | $ | y | ) | `[private]`

Definition at line 37 of file WavesBackgroundDrawer.class.php.

References Drawer::getTuringImage(), and BackgroundDrawer::makeColor().

Referenced by draw().

Here is the call graph for this function:

## Member Data Documentation

const WavesBackgroundDrawer::MAX_WAVE_DISTANCE = 20

Definition at line 18 of file WavesBackgroundDrawer.class.php.

const WavesBackgroundDrawer::MAX_WAVE_OFFSET = 5

Definition at line 19 of file WavesBackgroundDrawer.class.php.

const WavesBackgroundDrawer::MIN_WAVE_DISTANCE = 8

Definition at line 17 of file WavesBackgroundDrawer.class.php.

The documentation for this class was generated from the following file:

- main/Utils/TuringTest/WavesBackgroundDrawer.class.php